# -*- coding: utf-8 -*-

# @formatter:off
COLORS = {
    'white': 0,    # white
    'black': 1,    # black
    'blue': 2,     # blue (navy)
    'green': 3,    # green
    'red': 4,      # red
    'maroon': 5,   # brown (maroon)
    'purple': 6,   # purple
    'orange': 7,   # orange (olive)
    'yellow': 8,   # yellow
    'ltgreen': 9,  # light green (lime)
    'teal': 10,    # teal (a green/blue cyan)
    'ltcyan': 11,  # light cyan (cyan / aqua)
    'ltblue': 12,  # light blue (royal)
    'pink': 13,    # pink (light purple / fuchsia)
    'grey': 14,    # grey
    'ltgrey': 15,  # light grey (silver)
}

FORMATTING = {
    'bold': '\x02',       # bold
    'color': '\x03',      # colored text
    'italic': '\x1D',     # italic text
    'underline': '\x1F',  # underlined text
    'swap': '\x16',       # swap bg and fg colors ("reverse video")
    'reset': '\x0F',      # reset all formatting
}
# @formatter:on
